Cleanse a previously uploaded listings batch
curl --request POST \
--url https://api.seminode.com/v1/listings/cleanse \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"batch_id": "<string>",
"dtag_headers": [
"<string>"
],
"headers": [
"<string>"
]
}
'import requests
url = "https://api.seminode.com/v1/listings/cleanse"
payload = {
"batch_id": "<string>",
"dtag_headers": ["<string>"],
"headers": ["<string>"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({batch_id: '<string>', dtag_headers: ['<string>'], headers: ['<string>']})
};
fetch('https://api.seminode.com/v1/listings/cleanse', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"dtag_error": "<string>",
"header_errors": [
"<string>"
],
"lines": [
{
"attributes": {
"coo": "<string>",
"currency": "<string>",
"custom": {},
"date_code": "<string>",
"description": "<string>",
"eccn": "<string>",
"lot_no": "<string>",
"moq": 123,
"mpq": 123,
"packaging": "<string>"
},
"batch_id": "<string>",
"company": "<string>",
"contact": {
"methods": [
"<string>"
],
"reply_url": "<string>"
},
"encrypted": {
"ciphertext": "<string>",
"payload": {}
},
"errors": {},
"image_url": "<string>",
"internal_no": "<string>",
"material_no": "<string>",
"mfr": "<string>",
"qty": 123,
"timing": {
"expiry": 123,
"lead_time": "<string>",
"lead_time_int": 123,
"required_date": 123
},
"type": "<string>",
"unit_price": 123
}
],
"page_count": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Listings
Cleanse a previously uploaded listings batch
Validates headers, normalizes rows, converts currency, and stores the cleansed batch back in cache.
POST
/
listings
/
cleanse
Cleanse a previously uploaded listings batch
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Query Parameters
Attempt manufacturer name matching
Convert unit prices to USD from this ISO-4217 code
Body
application/json
Batch-ID and final header order
Was this page helpful?
⌘I

